summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2015-11-18 17:42:48 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2015-11-18 17:42:48 (GMT)
commit88101388b7943b4d9aa995dcd2c8f7adb73e3744 (patch)
treeb2fb5ebdb7907881d0f9724a5b1c28666bae28c5
parent4d5a53cadeab60939b472304d004d70564ca9291 (diff)
downloadhdf5-88101388b7943b4d9aa995dcd2c8f7adb73e3744.zip
hdf5-88101388b7943b4d9aa995dcd2c8f7adb73e3744.tar.gz
hdf5-88101388b7943b4d9aa995dcd2c8f7adb73e3744.tar.bz2
[svn-r28389] Merge r28388 from Trunk.
HDFFV-9573: bin/chkmanifest did not like the missing generated file. Changed bin/chkmanifest to generate the files if configure is missing. Tested: jam
-rwxr-xr-xbin/chkmanifest16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/chkmanifest b/bin/chkmanifest
index 646f815..701b6c4 100755
--- a/bin/chkmanifest
+++ b/bin/chkmanifest
@@ -17,9 +17,12 @@
# Check that all the files in MANIFEST exist and that (if this is a
# SVN checkout) that all the SVN-managed files appear in the
# MANIFEST.
+#
verbose=yes
MANIFEST=/tmp/HD_MANIFEST.$$
+AUTOGEN=./autogen.sh
+AUTOGEN_LOG=/tmp/autogen.log.$$
# Main
test "$verbose" && echo " Checking MANIFEST..." 1>&2
@@ -49,6 +52,19 @@ else
fi
fi
+# Do an autogen if generated files (e.g., configure) is not present
+if [ ! -f configure ]; then
+ echo " running $AUTOGEN -p"
+ $AUTOGEN -p > $AUTOGEN_LOG 2>&1
+ if [ $? -ne 0 ]; then
+ echo $AUTOGEN encountered error. Abort.
+ echo output from $AUTOGEN:
+ cat $AUTOGEN_LOG
+ exit 1
+ fi
+ rm $AUTOGEN_LOG
+fi
+
# Check for duplicate entries. This can be done at any time, but it may as
# well be sooner so that if something else fails the presence of duplicates
# will already be known.